
// Do not edit directly
// See https://github.com/quizlet/quizlet-design-tokens for code generation


package com.quizlet.ui.resources.designsystem.generated

import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.TextUnit
import androidx.compose.ui.unit.sp

interface RefTypography {
    
    /** Typography of Hurme Geometric Sans 2 */
    val refTypographyFontFamily: FontFamily
    
    /** Typography Weight of Bold */
    val refTypographyWeightHeader: FontWeight
    
    /** Typography Weight of SemiBold */
    val refTypographyWeightSubheader: FontWeight
    
    /** Typography Weight of Regular */
    val refTypographyWeightBody: FontWeight
    
    /** Typography Letterspacing of 0 */
    val refTypographyLetterSpacingNone: TextUnit
    
    /** Typography Size Header of 44 */
    val refTypographySizeHeaderOne: TextUnit
    
    /** Typography Size Header of 32 */
    val refTypographySizeHeaderTwo: TextUnit
    
    /** Typography Size Header of 24 */
    val refTypographySizeHeaderThree: TextUnit
    
    /** Typography Size Header of 20 */
    val refTypographySizeHeaderFour: TextUnit
    
    /** Typography Size Header of 16 */
    val refTypographySizeHeaderFive: TextUnit
    
    /** Typography Size Subheading of 24 */
    val refTypographySizeSubheadingOne: TextUnit
    
    /** Typography Size Subheading of 20 */
    val refTypographySizeSubheadingTwo: TextUnit
    
    /** Typography Size Subheading of 16 */
    val refTypographySizeSubheadingThree: TextUnit
    
    /** Typography Size Subheading of 14 */
    val refTypographySizeSubheadingFour: TextUnit
    
    /** Typography Size Subheading of 12 */
    val refTypographySizeSubheadingFive: TextUnit
    
    /** Typography Size Body of 24 */
    val refTypographySizeBodyOne: TextUnit
    
    /** Typography Size Body of 20 */
    val refTypographySizeBodyTwo: TextUnit
    
    /** Typography Size Body of 16 */
    val refTypographySizeBodyThree: TextUnit
    
    /** Typography Size Body of 14 */
    val refTypographySizeBodyFour: TextUnit
    
    /** Typography Size Body of 12 */
    val refTypographySizeBodyFive: TextUnit
    
    /** Typography Lineheight Header of 56 */
    val refTypographyLineHeightHeaderOne: TextUnit
    
    /** Typography Lineheight Header of 40 */
    val refTypographyLineHeightHeaderTwo: TextUnit
    
    /** Typography Lineheight Header of 32 */
    val refTypographyLineHeightHeaderThree: TextUnit
    
    /** Typography Lineheight Header of 28 */
    val refTypographyLineHeightHeaderFour: TextUnit
    
    /** Typography Lineheight Header of 24 */
    val refTypographyLineHeightHeaderFive: TextUnit
    
    /** Typography Lineheight Subheading of 36 */
    val refTypographyLineHeightSubheadingOne: TextUnit
    
    /** Typography Lineheight Subheading of 28 */
    val refTypographyLineHeightSubheadingTwo: TextUnit
    
    /** Typography Lineheight Subheading of 24 */
    val refTypographyLineHeightSubheadingThree: TextUnit
    
    /** Typography Lineheight Subheading of 20 */
    val refTypographyLineHeightSubheadingFour: TextUnit
    
    /** Typography Lineheight Subheading of 16 */
    val refTypographyLineHeightSubheadingFive: TextUnit
    
    /** Typography Lineheight Body of 32 */
    val refTypographyLineHeightBodyOne: TextUnit
    
    /** Typography Lineheight Body of 28 */
    val refTypographyLineHeightBodyTwo: TextUnit
    
    /** Typography Lineheight Body of 24 */
    val refTypographyLineHeightBodyThree: TextUnit
    
    /** Typography Lineheight Body of 20 */
    val refTypographyLineHeightBodyFour: TextUnit
    
    /** Typography Lineheight Body of 16 */
    val refTypographyLineHeightBodyFive: TextUnit
    
    /** Typography FontFamily of bold */
    val refTypographyFontFamilyHeader: FontFamily
    
    /** Typography FontFamily of semibold */
    val refTypographyFontFamilySubheader: FontFamily
    
    /** Typography FontFamily of regular */
    val refTypographyFontFamilyBody: FontFamily

    companion object : RefTypography {
        override val refTypographyFontFamily = QuizletFont.regular
        override val refTypographyWeightHeader = FontWeight.Bold
        override val refTypographyWeightSubheader = FontWeight.SemiBold
        override val refTypographyWeightBody = FontWeight.Normal
        override val refTypographyLetterSpacingNone = 0.sp
        override val refTypographySizeHeaderOne = 44.sp
        override val refTypographySizeHeaderTwo = 32.sp
        override val refTypographySizeHeaderThree = 24.sp
        override val refTypographySizeHeaderFour = 20.sp
        override val refTypographySizeHeaderFive = 16.sp
        override val refTypographySizeSubheadingOne = 24.sp
        override val refTypographySizeSubheadingTwo = 20.sp
        override val refTypographySizeSubheadingThree = 16.sp
        override val refTypographySizeSubheadingFour = 14.sp
        override val refTypographySizeSubheadingFive = 12.sp
        override val refTypographySizeBodyOne = 24.sp
        override val refTypographySizeBodyTwo = 20.sp
        override val refTypographySizeBodyThree = 16.sp
        override val refTypographySizeBodyFour = 14.sp
        override val refTypographySizeBodyFive = 12.sp
        override val refTypographyLineHeightHeaderOne = 56.sp
        override val refTypographyLineHeightHeaderTwo = 40.sp
        override val refTypographyLineHeightHeaderThree = 32.sp
        override val refTypographyLineHeightHeaderFour = 28.sp
        override val refTypographyLineHeightHeaderFive = 24.sp
        override val refTypographyLineHeightSubheadingOne = 36.sp
        override val refTypographyLineHeightSubheadingTwo = 28.sp
        override val refTypographyLineHeightSubheadingThree = 24.sp
        override val refTypographyLineHeightSubheadingFour = 20.sp
        override val refTypographyLineHeightSubheadingFive = 16.sp
        override val refTypographyLineHeightBodyOne = 32.sp
        override val refTypographyLineHeightBodyTwo = 28.sp
        override val refTypographyLineHeightBodyThree = 24.sp
        override val refTypographyLineHeightBodyFour = 20.sp
        override val refTypographyLineHeightBodyFive = 16.sp
        override val refTypographyFontFamilyHeader = QuizletFont.bold
        override val refTypographyFontFamilySubheader = QuizletFont.semibold
        override val refTypographyFontFamilyBody = QuizletFont.regular
    }
}
